Bug 1889928

Summary: [e2e][automation] Add more tests for golden os
Product: OpenShift Container Platform Reporter: Guohua Ouyang <gouyang>
Component: Console Kubevirt PluginAssignee: Tomas Jelinek <tjelinek>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.6CC: aos-bugs, gouyang
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:27:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Guohua Ouyang 2020-10-21 00:19:13 UTC
Description of problem:
Add more tests for golden os, so it will covers:
1. normal user can create vm from golden os template
2. normal user cannot create/delete golden pvc.
3. admin can create/delete goldne pvc
4. admin create Fedora/RHEL/Windows VM from golden os template
5. create more than two VMs from the same golden os template
6. once a VM is created from golden os template, delete the golden pvc will not affect the VM which is created already.
7. verify it throws an error is the format of upload data is not supported.
8. verify it cannot upload data to golden OS again.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Guohua Ouyang 2020-11-16 00:49:02 UTC
Move the bug to verified as the PR is merged.

Comment 5 errata-xmlrpc 2021-02-24 15:27:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633